summaryrefslogtreecommitdiff
path: root/system/adelie-base/addgroup
diff options
context:
space:
mode:
authorA. Wilcox <AWilcox@Wilcox-Tech.com>2017-09-30 18:08:56 -0500
committerA. Wilcox <AWilcox@Wilcox-Tech.com>2017-09-30 18:08:56 -0500
commitc372315963b47c1ed1d365ae9a792edfe00bcfeb (patch)
tree4895f40a0caef0a2b660ca4b83fad3edc6988b22 /system/adelie-base/addgroup
parente12a1cb1b348ca0a2c940839bd66ae14850f3fc7 (diff)
downloadpackages-c372315963b47c1ed1d365ae9a792edfe00bcfeb.tar.gz
packages-c372315963b47c1ed1d365ae9a792edfe00bcfeb.tar.bz2
packages-c372315963b47c1ed1d365ae9a792edfe00bcfeb.tar.xz
packages-c372315963b47c1ed1d365ae9a792edfe00bcfeb.zip
system/adelie-base: add bbshim crap to it
Diffstat (limited to 'system/adelie-base/addgroup')
-rwxr-xr-xsystem/adelie-base/addgroup36
1 files changed, 36 insertions, 0 deletions
diff --git a/system/adelie-base/addgroup b/system/adelie-base/addgroup
new file mode 100755
index 000000000..051df3696
--- /dev/null
+++ b/system/adelie-base/addgroup
@@ -0,0 +1,36 @@
+#!/bin/sh
+# addgroup - BusyBox compatibility shim
+# bbshim
+#
+# Copyright © 2017 A. Wilcox. All rights reserved.
+# Licensed under the terms of the NCSA Open Source license.
+#
+
+ARG=
+CMDLINE=
+
+while getopts :g:S ARG
+do
+ case $ARG in
+ g) CMDLINE="$CMDLINE -g \"$OPTARG\"" ;;
+ S) CMDLINE="$CMDLINE -r" ;;
+ :) exit 1 ;;
+ \?) exit 1 ;;
+ esac
+done
+
+shift $(($OPTIND - 1))
+
+if [ -z "$*" ]; then
+ echo "$0: group name is required" >&2
+ exit 1
+fi
+
+set "$@"
+
+
+if [ -n "$2" ]; then
+ exec usermod -a -G $2 $1
+fi
+
+groupadd $CMDLINE $1